## view.xhtml
Class Script

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.Script

Direct Known Subclasses:
  RegistrationPage.DiscountJavascript, RegistrationPage.EntryDataJavascript

    public class Script

extends ContainerElement

Constructor Summary
`private` `Script()` Private constructor.
`` `Script(RawText code)` Constructs the element as a container of the script.
`` `Script(java.lang.String source)` Constructs the element as a reference to an external script.

Method Summary

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Script

    private Script()

  Private constructor.

### Script

    public Script(java.lang.String source)

  Constructs the element as a reference to an external script.

  Parameters:
    `source` - the source of the external script.

### Script

    public Script(RawText code)

  Constructs the element as a container of the script.

  Parameters:
    `code` - the script itself.